Mailinglist Archive: opensuse-commit (1295 mails)

< Previous Next >
commit planner
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Fri, 27 Jul 2007 02:07:35 +0200
  • Message-id: <20070727000735.54BE76781B8@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package planner
checked in at Fri Jul 27 02:07:35 CEST 2007.

--------
--- GNOME/planner/planner.changes       2007-04-27 12:32:13.000000000 +0200
+++ /mounts/work_src_done/STABLE/planner/planner.changes        2007-07-27 01:12:22.291723000 +0200
@@ -1,0 +2,14 @@
+Thu Jul 26 22:43:58 CEST 2007 - maw@xxxxxxx
+
+- Update to version 0.14.2:
+  + Fixes for bugzilla.gnome.org bugs fixed: #353232, #368186,
+    #353213, and #358415
+  + Minor build changes
+  + Updated translations
+- Add evolution-data-server-devel, fdupes, libgnomecanvas-devel,
+  libgnomeui-devel, and libgnomeprintui-devel as build requirements
+- Add configure.patch
+- Use fdupes
+- For the present, don't build the evolution backend.
+
+-------------------------------------------------------------------

Old:
----
  planner-0.14.1.tar.bz2
  planner-evolution-2_10.patch

New:
----
  configure.patch
  planner-0.14.2.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ planner.spec ++++++
--- /var/tmp/diff_new_pack.ggv716/_old  2007-07-27 02:07:13.000000000 +0200
+++ /var/tmp/diff_new_pack.ggv716/_new  2007-07-27 02:07:13.000000000 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package planner (Version 0.14.1)
+# spec file for package planner (Version 0.14.2)
 #
 # Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # This file and all modifications and additions to the pristine
@@ -11,22 +11,22 @@
 # norootforbuild
 
 Name:           planner
-BuildRequires:  evolution-devel gnome-common gtk-doc intltool libgda-devel libgsf-devel libidl-devel libwnck-devel mDNSResponder-devel mozilla-nss-devel perl-XML-Parser python-devel python-gtk-devel scrollkeeper update-desktop-files
+BuildRequires:  evolution-data-server-devel evolution-devel fdupes gnome-common gtk-doc intltool libgda-devel libgnomecanvas-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libidl-devel libwnck-devel mDNSResponder-devel mozilla-nss-devel perl-XML-Parser python-devel python-gtk-devel scrollkeeper update-desktop-files
 URL:            http://live.gnome.org/Planner
-License:        GNU General Public License (GPL)
-Group:          Productivity/Office/Organizers
+License:        GPL v2 or later
+Group:          Productivity/Office/Management
 Obsoletes:      mrproject
 Provides:       mrproject
 Requires:       python-gtk gnome-icon-theme
 Summary:        Project Management Application for GNOME
-Version:        0.14.1
-Release:        42
+Version:        0.14.2
+Release:        1
 Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
-Patch1:         planner-desktop.patch
-Patch2:         planner-evolution.patch
-Patch4:         planner-e_utf8.patch
-Patch5:         planner-python-util.patch
-Patch6:         planner-evolution-2_10.patch
+Patch0:         planner-desktop.patch
+Patch1:         planner-evolution.patch
+Patch2:         planner-e_utf8.patch
+Patch3:         planner-python-util.patch
+Patch4:         configure.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 
 %gconf_schemas_prereq
@@ -58,7 +58,7 @@
 
 %package devel
 Summary:        Project Management Application for GNOME
-Group:          Productivity/Office/Organizers
+Group:          Productivity/Office/Management
 Requires:       %{name} = %{version} glib2-devel libxml2-devel libgsf-devel
 Requires:       gnome-vfs2-devel gconf2-devel
 
@@ -86,11 +86,11 @@
 
 %prep
 %setup -q
-%patch1 -p1
+%patch0 -p1
+%patch1
 %patch2
-%patch4
-%patch5
-%patch6
+%patch3
+%patch4 -p1
 
 %build
 autoreconf -f -i
@@ -98,16 +98,18 @@
 #   planner-0.14.1: --disable-scrollkeeper does not work properly.
 # FIXME: GTKDOC_CFLAGS:
 # Silently ignored compilation of uninstalled gtk-doc scanners without RPM_OPT_FLAGS.
-%configure\
-       --disable-schemas-install\
-       --disable-scrollkeeper\
-       --disable-update-mimedb\
-       --enable-gtk-doc\
-       --enable-database\
-       --enable-python\
-       --enable-python-plugin\
-       --enable-eds\
-       --enable-eds-backend
+%configure \
+    --disable-schemas-install \
+    --disable-scrollkeeper \
+    --disable-update-mimedb \
+    --enable-gtk-doc \
+    --enable-database \
+    --enable-python \
+    --enable-python-plugin
+# The eds stuff is currently experimental and doesn't currently build anyway.  When it's
+# working better we can bring it back.
+#    --enable-eds \
+#    --enable-eds-backend
 # does nor work for planner-0.14.1:
 #make %{?jobs:-j%jobs} sqldocdir=%{_docdir}/%{name} sampledir=%{_docdir}/%{name}
 make sqldocdir=%{_docdir}/%{name} sampledir=%{_docdir}/%{name}
@@ -119,7 +121,7 @@
 %find_gconf_schemas
 cat %{name}.lang %{name}.schemas_list >%{name}.lst
 %suse_update_desktop_file -N "Planner" -G "Project Management" -C "" planner Office ProjectManagement
-rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a $RPM_BUILD_ROOT%{_libdir}/*/*/*/*.*a
+rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a
 # Make planner independent on evolution
 # NOTE: Dependencies are correct, if output of following command is empty:
 # rpm -e evolution evolution-data-server 2>&1 | grep planner
@@ -131,22 +133,26 @@
 EOF
 chmod 755 %{my_requires}
 %define __find_requires %{my_requires}
-cp $RPM_BUILD_ROOT%{_libdir}/planner/plugins/libeds-plugin.so $RPM_BUILD_ROOT%{_libdir}/planner/plugins/libeds-plugin.so.opt
+### cp $RPM_BUILD_ROOT%{_libdir}/planner/plugins/libeds-plugin.so $RPM_BUILD_ROOT%{_libdir}/planner/plugins/libeds-plugin.so.opt
+%if %suse_version > 1020
+
+%fdupes -s $RPM_BUILD_ROOT
+%endif
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 %pre -f %{name}.schemas_pre
-%define LIBEUTIL %(cd / ; echo usr/%{_lib}/evolution/*/libeutil.so.?)
+### %define LIBEUTIL %(cd / ; echo usr/%{_lib}/evolution/*/libeutil.so.?)
 
 %post
 %run_ldconfig
 if test -x usr/bin/update-mime-database ; then
   usr/bin/update-mime-database usr/share/mime >/dev/null
 fi
-if [ -f %LIBEUTIL ] ; then
-  ln -f usr/%{_lib}/planner/plugins/libeds-plugin.so.opt usr/%{_lib}/planner/plugins/libeds-plugin.so
-fi
+### if [ -f %LIBEUTIL ] ; then
+###   ln -f usr/%{_lib}/planner/plugins/libeds-plugin.so.opt usr/%{_lib}/planner/plugins/libeds-plugin.so
+### fi
 
 %postun
 %run_ldconfig
@@ -159,14 +165,14 @@
 %preun -f %{name}.schemas_preun
 
 %triggerin -- evolution
-if [ -f %LIBEUTIL ] ; then
-  ln -f usr/%{_lib}/planner/plugins/libeds-plugin.so.opt usr/%{_lib}/planner/plugins/libeds-plugin.so
-fi
+### if [ -f %LIBEUTIL ] ; then
+###   ln -f usr/%{_lib}/planner/plugins/libeds-plugin.so.opt usr/%{_lib}/planner/plugins/libeds-plugin.so
+### fi
 
 %triggerpostun -- evolution
-if [ ! -f %LIBEUTIL ] ; then
-  rm -f usr/%{_lib}/planner/plugins/libeds-plugin.so
-fi
+### if [ ! -f %LIBEUTIL ] ; then
+###   rm -f usr/%{_lib}/planner/plugins/libeds-plugin.so
+### fi
 
 %files -f %{name}.lst
 %defattr(-, root, root)
@@ -181,10 +187,10 @@
 %{_libdir}/planner/[a-oq-z]*
 %dir %{_libdir}/planner/plugins
 %{_libdir}/planner/plugins/lib[a-df-z]*.so
-%{_libdir}/planner/plugins/lib*.so.opt
-%ghost %{_libdir}/planner/plugins/libeds-plugin.so
+### %{_libdir}/planner/plugins/lib*.so.opt
+### %ghost %{_libdir}/planner/plugins/libeds-plugin.so
 # Own directories to be able to install planner without evolution:
-%{_libdir}/evolution*
+### %{_libdir}/evolution*
 %{_datadir}/planner
 %{_datadir}/omf/planner
 %{py_sitedir}/*.so
@@ -199,6 +205,17 @@
 %{_libdir}/*.la
 
 %changelog
+* Thu Jul 26 2007 - maw@xxxxxxx
+- Update to version 0.14.2:
+  + Fixes for bugzilla.gnome.org bugs fixed: #353232, #368186,
+  [#353213], and #358415
+  + Minor build changes
+  + Updated translations
+- Add evolution-data-server-devel, fdupes, libgnomecanvas-devel,
+  libgnomeui-devel, and libgnomeprintui-devel as build requirements
+- Add configure.patch
+- Use fdupes
+- For the present, don't build the evolution backend.
 * Fri Apr 27 2007 - sbrabec@xxxxxxx
 - Do not call meinproc (#227624).
 * Mon Mar 19 2007 - sbrabec@xxxxxxx

++++++ configure.patch ++++++
Index: planner-0.14.2/configure.in
===================================================================
--- planner-0.14.2.orig/configure.in
+++ planner-0.14.2/configure.in
@@ -82,12 +82,12 @@ dnl | Database/GDA check |--------------
 dnl  -----------
 AC_ARG_ENABLE(database, [  --enable-database=[no/yes]      enable database support [default=no]], enable_database="$enableval", enable_database=no)
 
-if test "x$enable_database" = "xyes" ; then
-    PKG_CHECK_MODULES(GDA, libgda >= 1.0)
-    use_gda=yes
-else
-    use_gda=no
-fi
+dnl if test "x$enable_database" = "xyes" ; then
+dnl     PKG_CHECK_MODULES(GDA, libgda >= 1.0)
+dnl     use_gda=yes
+dnl else
+dnl     use_gda=no
+dnl fi
 
 AM_CONDITIONAL(HAVE_GDA, test x$use_gda = xyes)
 
@@ -279,7 +279,7 @@ AC_ARG_ENABLE(eds_backend, [  --enable-e
 if test "x$enable_eds_backend" = "xyes" ; then
     EDS_REQUIRED=1.1.0 
     EDS_PACKAGE=1.2
-    EVOLUTION_PACKAGE=2.2
+    EVOLUTION_PACKAGE=2.12
     EVOLUTION_REQUIRED=2.1.3
     PKG_CHECK_MODULES(EDS_DEPENDENCIES, evolution-data-server-$EDS_PACKAGE >= 1.2.0 evolution-data-server-$EDS_PACKAGE < 1.3.0, eds12=yes, eds12=no)
     if test "x$eds12" == "xyes"; then
@@ -305,7 +305,7 @@ if test "x$enable_eds_backend" = "xyes" 
                libecal-$EDS_PACKAGE >= $EDS_REQUIRED
                libedata-cal-$EDS_PACKAGE >= $EDS_REQUIRED
                libedataserver-$EDS_PACKAGE >= $EDS_REQUIRED
-               evolution-plugin-$EVOLUTION_PACKAGE >= $EVOLUTION_REQUIRED
+               evolution-plugin >= $EVOLUTION_REQUIRED
     ])
     extensiondir=`$PKG_CONFIG --variable=extensiondir evolution-data-server-$EDS_PACKAGE`
     AC_SUBST(extensiondir)
++++++ planner-0.14.1.tar.bz2 -> planner-0.14.2.tar.bz2 ++++++
++++ 26939 lines of diff (skipped)


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages